Dana Subscription

Dana Subscription Transaction Query

Query subscription transactions for DANA.

Request URL

URL: ${ROOT_URL}/dana/v1/sub/querysubtrans

HTTPMethod: POST

EndpointUrl: /dana/v1/sub/querysubtrans

Subscription Transaction Query Request Parameters

Data Signing Rules

Field NameTypeValueRequired
Content-TypeString(30)Fixed value "application/json;charset=utf-8"Yes
X-TIMESTAMPString(29)Current time, format 2022-09-16T16:58:47.964+07:00Yes
X-SIGNATUREString(64)Signature. For details see Data Signing RulesYes
X-PARTNER-IDString(20)Merchant IDYes
X-REQUEST-IDString(64)Unique ID for each requestYes

Body

ParameterTypeRequiredRemarks
requestIdString(64)YesUnique identifier on every request
merchantIdString(20)YesUnique ID provided by payment gateway to merchant
storeIdString(30)NoIf merchant has branches and wants to create order using branch ID
paymentTypeString(20)YesPayment type
merchantTradeNoString(32)YesMerchant order number (subscription ID)
pageNumNumber(4)NoCurrent page number, default 1
pageSizeNumber(4)NoItems per page, default 10, max 50

paymentType

Payment TypeCode
DANA E-Wallet (supports refund)StaticDanaSub,DynamicDanaSub

Subscription Transaction Query Response Parameters

Header

Data Signing Rules

Field NameTypeValueRequired
Content-TypeString(30)Fixed value "application/json;charset=utf-8"Yes
X-TIMESTAMPString(29)Current time, format 2022-09-16T16:58:47.964+07:00Yes
X-SIGNATUREString(64)Signature. For details see Data Signing RulesYes
X-PARTNER-IDString(20)Merchant IDYes
X-REQUEST-IDString(64)Unique ID for each requestYes

Body

Error Code

ParameterTypeRequiredRemarks
requestIdString(64)YesUnique ID for each request
errCodeString(32)No0 means success, otherwise see Error Code
errCodeDesString(128)NoError description
merchantIdString(20)YesUnique merchant ID
storeIdString(30)NoIf using branch ID
paymentTypeString(20)YesPayment type
+ paymentInfoArray<Object>NoList of transactions
- successTimeString(16)NoyyyyMMddHHmmss
- platformTradeNoString(32)NoPaylabs platform order number
- amountDecimal(12,2)NoAmount in IDR, 2 decimals
- statusString(32)No01 PENDING 09 FAILED 02 SUCCEEDED
- transFeeRateDecimal(6,6)NoTransaction fee rate
- transFeeAmountDecimal(12,2)NoFee, two decimals
- totalTransFeeDecimal(12,2)NoTotal fee (excl. VAT)
- vatFeeDecimal(12,2)NoVAT fee

Example

Request

POST  /dana/v1/sub/querysubtrans
# HTTP Header
Content-Type: application/json;charset=utf-8
X-TIMESTAMP: 2022-09-16T16:58:47.964+07:00
X-SIGNATURE: xxxxxxxxx
X-PARTNER-ID: 010001
X-REQUEST-ID: xxxxxxxxxxxxxxxxxxxxxxxx

# HTTP Body
{
  "merchantId": "010001",
  "requestId": "PYb34e3230-598c-4fa9-89c2-60ea95fc6c1c",
  "paymentType": "StaticDanaSub",
  "merchantSubId": "PY-1761114620.5313134",
  "pageNum": 1,
  "pageSize": 10
}

Response

POST /dana/v1/sub/querysubtrans
# HTTP Header
Content-Type: application/json;charset=utf-8
X-TIMESTAMP: 2022-09-16T16:58:47.964+07:00
X-SIGNATURE: xxxxxxxxx
X-PARTNER-ID: 010001
X-REQUEST-ID: xxxxxxxxxxxxxxxxxxxxxxxx

# HTTP Body
{
  "merchantId": "010001",
  "requestId": "PYb34e3230-598c-4fa9-89c2-60ea95fc6c1c",
  "errCode": "0",
  "paymentType": "StaticDanaSub",
  "paymentInfo": [
    {
      "successTime": "20251024055400",
      "platformTradeNo": "2025102400100000010",
      "amount": 15000.0,
      "status": "02",
      "transFeeRate": 0.0,
      "transFeeAmount": 2500.0,
      "totalTransFee": 2500.0,
      "vatFee": 275.0
    }
  ]
}